SplDoublyLinkedList::offsetUnset
SplDoublyLinkedList::prev
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::pop

Pops a node from the end of the doubly linked list

### Description

public mixed SplDoublyLinkedList::pop ( void )

### Parameters

This function has no parameters.

### Return Values

The value of the popped node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.